CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2013-1488

The Java Runtime Environment (JRE) component in Oracle Java SE 7 Update 17 and earlier, and OpenJDK 6 and 7, allows remote attackers to execute arbitrary code via unspecified vectors involving reflection, Libraries, "improper toString calls," and the JDBC driver manager, as demonstrated by James Forshaw during a Pwn2Own competition at CanSecWest 2013.
Publish Date : 2013-03-08 Last Update Date : 2017-09-18
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute Code
CWE ID 94

- Related OVAL Definitions

Title Definition Id Class Family
DEPRECATED: ELSA-2013-0770 -- java-1.6.0-openjdk security update (important) oval:org.mitre.oval:def:27353 unix
DEPRECATED: ELSA-2013-0752 -- java-1.7.0-openjdk security update (important) oval:org.mitre.oval:def:27478 unix
DEPRECATED: ELSA-2013-0751 -- java-1.7.0-openjdk security update (critical) oval:org.mitre.oval:def:27661 unix
DEPRECATED: ELSA-2013:0770: java-1.6.0-openjdk security update (Important) oval:org.mitre.oval:def:23493 unix
ELSA-2013:0751: java-1.7.0-openjdk security update (Critical) oval:org.mitre.oval:def:24006 unix
ELSA-2013:0752: java-1.7.0-openjdk security update (Important) oval:org.mitre.oval:def:22603 unix
ELSA-2013:0757: java-1.7.0-oracle security update (Critical) oval:org.mitre.oval:def:23807 unix
ELSA-2013:0770: java-1.6.0-openjdk security update (Important) oval:org.mitre.oval:def:24051 unix
ELSA-2013:0822: java-1.7.0-ibm security update (Critical) oval:org.mitre.oval:def:23901 unix
RHSA-2013:0751: java-1.7.0-openjdk security update (Critical) oval:com.redhat.rhsa:def:20130751 unix
RHSA-2013:0751: java-1.7.0-openjdk security update (Critical) oval:org.mitre.oval:def:21074 unix
RHSA-2013:0752: java-1.7.0-openjdk security update (Important) oval:com.redhat.rhsa:def:20130752 unix
RHSA-2013:0752: java-1.7.0-openjdk security update (Important) oval:org.mitre.oval:def:20713 unix
RHSA-2013:0757: java-1.7.0-oracle security update (Critical) oval:com.redhat.rhsa:def:20130757 unix
RHSA-2013:0757: java-1.7.0-oracle security update (Critical) oval:org.mitre.oval:def:20955 unix
RHSA-2013:0770: java-1.6.0-openjdk security update (Important) oval:com.redhat.rhsa:def:20130770 unix
RHSA-2013:0770: java-1.6.0-openjdk security update (Important) oval:org.mitre.oval:def:20467 unix
RHSA-2013:0822: java-1.7.0-ibm security update (Critical) oval:org.mitre.oval:def:20254 unix
RHSA-2013:0822: java-1.7.0-ibm security update (Critical) oval:com.redhat.rhsa:def:20130822 unix
SUSE-SU-2013:0814-1 -- Security update for java-1_6_0-openjdk oval:org.mitre.oval:def:25883 unix
USN-1806-1 -- openjdk-7 vulnerabilities oval:org.mitre.oval:def:18158 unix
Vulnerability in the Java Runtime Environment (JRE) component in Oracle Java SE 7 Update 17 and before. Difficult to exp... oval:org.mitre.oval:def:16511 windows
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2013-1488

# Product Type Vendor Product Version Update Edition Language
1 Application Oracle JDK 1.7.0 Update17 Version Details Vulnerabilities
2 Application Oracle JRE 1.7.0 Update17 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Oracle JDK 1
Oracle JRE 1

- References For CVE-2013-1488

https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0124 CONFIRM
https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0130 CONFIRM
http://h30499.www3.hp.com/t5/HP-Security-Research-Blog/Pwn2Own-2013/ba-p/5981157
http://www.zdnet.com/pwn2own-down-go-all-the-browsers-7000012283/
https://twitter.com/thezdi/status/309425888188043264
https://bugzilla.redhat.com/show_bug.cgi?id=920247
http://www.oracle.com/technetwork/topics/security/javacpuapr2013-1928497.html CONFIRM
http://www.ubuntu.com/usn/USN-1806-1
UBUNTU USN-1806-1
http://www.us-cert.gov/ncas/alerts/TA13-107A
CERT TA13-107A
http://security.gentoo.org/glsa/glsa-201406-32.xml
GENTOO GLSA-201406-32
http://www.mandriva.com/security/advisories?name=MDVSA-2013:145
MANDRIVA MDVSA-2013:145
http://www.mandriva.com/security/advisories?name=MDVSA-2013:161
MANDRIVA MDVSA-2013:161
http://rhn.redhat.com/errata/RHSA-2013-0752.html
REDHAT RHSA-2013:0752
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-April/022796.html
MLIST [distro-pkg-dev] 20130417 [SECURITY] IcedTea 1.11.10 for OpenJDK 6 Released!
http://lists.opensuse.org/opensuse-security-announce/2013-05/msg00007.html
SUSE SUSE-SU-2013:0814
http://lists.opensuse.org/opensuse-updates/2013-05/msg00017.html
SUSE openSUSE-SU-2013:0777
http://lists.opensuse.org/opensuse-updates/2013-06/msg00099.html
SUSE openSUSE-SU-2013:0964
http://blog.fuseyism.com/index.php/2013/04/22/security-icedtea-2-3-9-for-openjdk-7-released/ CONFIRM
http://rhn.redhat.com/errata/RHSA-2013-0757.html
REDHAT RHSA-2013:0757
http://blog.fuseyism.com/index.php/2013/04/25/security-icedtea-1-11-11-1-12-5-for-openjdk-6-released/ CONFIRM
http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/a19614a3dabb

- Metasploit Modules Related To CVE-2013-1488

Java Applet Driver Manager Privileged toString() Remote Code Execution
This module abuses the java.sql.DriverManager class where the toString() method is called over user supplied classes from a doPrivileged block. The vulnerability affects Java version 7u17 and earlier. This exploit bypasses click-to-play on Internet Explorer and throws a specially crafted JNLP file. This bypass is applicable mainly to IE, where Java Web Start can be launched automatically through the ActiveX control. Otherwise, the applet is launched without click-to-play bypass.
Module type : exploit Rank : excellent Platforms : Java,Linux,OSX,Windows


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.